/*
 * TAProductState.java
 * project: XRel
 * @author Fabrizio Bisi
 * Created on 30-set-03
 */
package xrel.analyzer;

import java.util.HashSet;
import java.util.Vector;

/**
 * TODO insert comment here
 * @author Fabrizio Bisi
 */
class TAProductState implements TAState {
	//private int id1,id2;
	private TAState state1,state2;
	private HashSet eps_clos;
	private Vector transitions;  
	private boolean isFinal;
//	private boolean isInitial;

	public TAProductState(TAState s1, TAState s2) {
		state1 = s1; state2 = s2;
		eps_clos = null;
		transitions = new Vector();
		isFinal = false;
//		isInitial = false;
	}
	/**
	 * Returns a new state
	 */
	public Object clone() {
		TAProductState newS = new TAProductState(state1,state2);
		return newS;
	}
	public HashSet get_epsClos() {
		return eps_clos;
	}
	public void set_epsClos(HashSet e_clos) {
		eps_clos = e_clos;
	}
	public TAState getState1() {
		return state1;
	}
	public TAState getState2() {
		return state2;
	}
	public boolean isFinal() {
		return isFinal;
	}
	public void setFinal(boolean isFin) {
		isFinal = isFin;
	}
//	public boolean isInitial() {
//		return isInitial;
//	}
//	public void setInitial(boolean isInit) {
//		isInitial = isInit;
//	}
	public Vector getTransitions() {
		return transitions;
	}
	public String toString() {
		return "<" + state1 + "," + state2 + ">";
	}
}