/* ASTStringLiteral.java - modfied */

package xrel.parser;

public class ASTStringLiteral extends SimpleNode {
	private String value; // it is quoted
	
  public ASTStringLiteral(int id) {
    super(id);
  }

  public ASTStringLiteral(XRelParser p, int id) {
    super(p, id);
  }


  /** Accept the visitor. **/
  public Object jjtAccept(XRelParserVisitor visitor, Object data) {
    return visitor.visit(this, data);
  }

  public void setValue(String s) {
		value = s;
  }
  
  // WARNING! Value is quoted!
  public String getValue() { return value; }

  public String toString() {
	return "Literal = " + value;
  }
}
