/*
 * SpecialNames.java
 * project: XRel
 * @author Fabrizio Bisi
 * Created on 14-ott-03
 */
package xrel.parser;

/**
 * TODO insert comment here
 * @author Fabrizio Bisi
 */
public interface SpecialNames {
	public String
		SpecialPrefix = "#",
		AutomatonPrefix = "_", // prefix for automata
		PatternPrefix = "_",   // prefix for pattern names
		ExpressionPrefix = "__",    // prefix for expression names
		// prefix and suffix for string literals
		StrUnquotedPrefix = SpecialPrefix,
		StrLiteralPrefix = StrUnquotedPrefix + "\"",
		StrUnquotedSuffix = "",
		StrLiteralSuffix = StrUnquotedSuffix + "\"",
		AnyTagName = "~",
		AnyTypeName = "Any",
		EmptyPatternName = PatternPrefix + SpecialPrefix + "E",
		ExportTypeName = SpecialPrefix + "Export",
		StringName = "String", // change also in XRel.jjt
		StringTypeName = SpecialPrefix + StringName,
		StringPatternName = PatternPrefix + SpecialPrefix + "S";
}
