/* ASTIdentifier.java - modified */

package xrel.parser;

public class ASTIdentifier extends SimpleNode {
	private int scope;
	private String name;

  public ASTIdentifier(int id) {
    super(id);
  }

  public ASTIdentifier(XRelParser p, int id) {
    super(p, id);
  }

  /** Accept the visitor. **/
  public Object jjtAccept(XRelParserVisitor visitor, Object data) {
	return visitor.visit(this, data);
  }

  public String getName() { return name; }
  public void setName(int Scope, String n) {
  	scope = Scope;
		name = n;
  }
  public int getScope() { return scope; }

  public String toString() {
	return "Identifier \"" + name + "\"";
  }
}
